<?php
/**
* Header Options.
*
* @package Car Booking
*/

$car_booking_default = car_booking_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'car_booking_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'car-booking' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'car_booking_theme_option_panel',
	)
);

$wp_customize->add_setting('car_booking_sticky',
    array(
        'default' => $car_booking_default['car_booking_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'car_booking_sanitize_checkbox',
    )
);
$wp_customize->add_control('car_booking_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'car-booking'),
        'section' => 'car_booking_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'car_booking_header_layout_button_text',
    array(
    'default'           => $car_booking_default['car_booking_header_layout_button_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'car_booking_header_layout_button_text',
    array(
    'label'    => esc_html__( 'Header Button Text', 'car-booking' ),
    'section'  => 'car_booking_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'car_booking_header_layout_button_url',
    array(
    'default'           => $car_booking_default['car_booking_header_layout_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'car_booking_header_layout_button_url',
    array(
    'label'    => esc_html__( 'Header Button Link', 'car-booking' ),
    'section'  => 'car_booking_button_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting('car_booking_menu_font_size',
    array(
        'default'           => $car_booking_default['car_booking_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'car_booking_sanitize_number_range',
    )
);
$wp_customize->add_control('car_booking_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'car-booking'),
        'section'     => 'car_booking_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'car_booking_menu_text_transform',
    array(
    'default'           => $car_booking_default['car_booking_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'car_booking_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'car_booking_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'car-booking' ),
    'section'     => 'car_booking_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'car-booking' ),
        'uppercase'  => esc_html__( 'Uppercase', 'car-booking' ),
        'lowercase'    => esc_html__( 'Lowercase', 'car-booking' ),
        ),
    )
);

$wp_customize->add_setting('car_booking_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'car_booking_header_menus_color', array(
    'label'    => __('Main Menu Color', 'car-booking'),
    'section'  => 'car_booking_button_header_setting',
)));

$wp_customize->add_setting('car_booking_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'car_booking_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'car-booking'),
    'section'  => 'car_booking_button_header_setting',
)));

$wp_customize->add_setting('car_booking_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'car_booking_header_submenus_color', array(
    'label'    => __('Submenu Color', 'car-booking'),
    'section'  => 'car_booking_button_header_setting',
)));

$wp_customize->add_setting('car_booking_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'car_booking_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'car-booking'),
    'section'  => 'car_booking_button_header_setting',
)));